# reapr-score(1)

## NAME

reapr-score - calculate scores and assembly errors

## SYNOPSIS

*reapr score* [options] <assembly.fa.gaps.gz> <in.bam> <statsprefix> <FCDcutoff> <outprefix>

## OPTIONS

*-f* <int>::
  Minimum inner fragment coverage [1]

*-g* <int>::
  Max gap length to call over [0.5 * outer_mean_insert_size]

*-l* <int>::
  Length of window [100]

*-p* <int>::
  Use perfect mapping reads score with given min coverage.
  Incompatible with -P.

*-P* <int>::
  Same as -p, but force the score to be zero at any position with
  at least the given coverage of perfect mapping reads and which has an
  OK insert plot, , i.e. perfect mapping reads + insert distribution
  override all other tests when calculating the score.
  Incompatible with -p.

*-q* <float>::
  Max bad read ratio [0.33]

*-r* <int>::
  Min read coverage [max(1, mean_read_cov - 4 * read_cov_stddev)]

*-R* <int>::
  Repeat calling cutoff. -R N means call a repeat if fragment
  coverage is >= N times (expected coverage).
  Use -R 0 to not call repeats [2]

*-s* <int>::
  Min score to report in errors file [0.4]

*-u* <int>::
  FCD error window length for error calling [insert_size / 2]

*-w* <float>::
  Min percentage of bases in window needed to call as bad [0.8]

## SEE ALSO

reapr(1)
